[Сборка] Замучился с ocStore 1.5.4.1

Тема в разделе "OpenCart", создана пользователем Sanyh, 25 янв 2013.

  1. Sanyh

    Sanyh

    Регистрация:
    15 ноя 2012
    Сообщения:
    87
    Симпатии:
    0
    Уже неделю подбираю модули для ocStore 1.5.4.1, так чтобы работали без глюков:

    Работают:
    filterpro_v2.3.7(slider)
    batch_editor_v022_ocstore_opencart_1513_1541_ru_en
    FollowMe153

    Не работают, либо куча ошибок:
    similar_products
    simonfilters_2.7.0_0011-хрень
    sitemap_for_oc_151 -после инсталляции вообще в админке не нашол
    tag_cloud_1.5.4.1
    watermark
    opencartseopackprov3.7 - for OC 1.5.4 +
    simple_3.4.1 - вообще не понял чем форма лучше стандартной, может кто расскажет?

    самое убогое в установке что модуль убивает сайт, в этом плане престашоп лучше, т.к. не заменяются файлы. в этом плане престашоп лучше сделан.
    Большая просьбе кто нибудь может выложить архив 100% рабочих модулей для ocStore 1.5.4.1?
    Или может кто поможет установить их и прокансультирует в аське/скайпе? Неделя в пустую на фигню потрачена!
     
  2. ashtray

    ashtray Главный по попкам!

    Регистрация:
    13 ноя 2012
    Сообщения:
    331
    Симпатии:
    70
    ставь 1.5.3.1 и не парься
     
  3. Matras

    Matras

    Регистрация:
    27 окт 2012
    Сообщения:
    165
    Симпатии:
    27
    Я тоже не понимаю зачем упираться в этот 1.5.4 , 1.5.2 или 1.5.3 самые стабильные и востребованные.
     
  4. Sanyh

    Sanyh

    Регистрация:
    15 ноя 2012
    Сообщения:
    87
    Симпатии:
    0
    т.е. на 1.5.3 эти модули тестировать неделю? или может мне кто кинет пак проверенных на 1.5.3? :Smile:
     
  5. SpresscodE

    SpresscodE

    Регистрация:
    2 ноя 2012
    Сообщения:
    258
    Симпатии:
    58
    Дело в заменяемых файлах - !!! Смотри что заменяется - и просто слепи один файл!!! Проблем не будет никаких!!
     
  6. Sanyh

    Sanyh

    Регистрация:
    15 ноя 2012
    Сообщения:
    87
    Симпатии:
    0
    как каталог товаров перенести в 1.5.3.1 из 1.5.4.1?
     
  7. SpresscodE

    SpresscodE

    Регистрация:
    2 ноя 2012
    Сообщения:
    258
    Симпатии:
    58
    через MYSQL самый быстрый и надежный способ (точнее просто переноса базы данных на новую версию)
     
  8. cobalt

    cobalt Команда форума

    Регистрация:
    18 окт 2012
    Сообщения:
    278
    Симпатии:
    127
    Юзаю 1.5.1.3 и 1.5.4.1. Нигде никаких проблем не наблюдаю. И opencartseopackprov3.7 - for OC 1.5.4 нормально стал, и simple, и Саймонфильтр.
     
  9. Sanyh

    Sanyh

    Регистрация:
    15 ноя 2012
    Сообщения:
    87
    Симпатии:
    0
    последовательность играет роль установки? или кидаю все модули в папку сайта и потом в админке инсталлирую
     
  10. SpresscodE

    SpresscodE

    Регистрация:
    2 ноя 2012
    Сообщения:
    258
    Симпатии:
    58
    Смотри чтобы файлы не позаменяли стандартные - если без замены - гуд - если заменяют стандартные - могут не работать модули некоторые
     
  11. cobalt

    cobalt Команда форума

    Регистрация:
    18 окт 2012
    Сообщения:
    278
    Симпатии:
    127
    Ну как это "кидаю в папку"... Есть модули, которые заменяют оригинальные файлы. Их не надо кидать в папку, а надо либо вносить изменения вручную, либо с помощью vqmod. Последовательность, в редких случаях, может играть роль в случае использования vqmod. Только не последовательность установки, а алфавитный порядок размещения этих файлов.
     
  12. Sanyh

    Sanyh

    Регистрация:
    15 ноя 2012
    Сообщения:
    87
    Симпатии:
    0
    а как с помощью vqmod?
     
  13. cobalt

    cobalt Команда форума

    Регистрация:
    18 окт 2012
    Сообщения:
    278
    Симпатии:
    127
    Ну, есть модули, которые вносят изменения в оригинальные файлы с помощью модуля vqmod. Для этого в этих модулях есть специальный файл с расширением .xml. В нём прописывается, в каком файле и что добавлять. Этот файл можно и самому написать, если он не идёт с модулем.
    Модуль vqmod тоже надо сначала установить. Вот тут можно о нём почитать.
     
  14. gatsby

    gatsby

    Регистрация:
    27 дек 2012
    Сообщения:
    142
    Симпатии:
    75
    Многие модули работают на vqmod, без него придется ручками править контроллеры для работы модулей. Поэтому ставите vqmod, потом только модули, которые его используют.
     
  15. ingenerks

    ingenerks

    Регистрация:
    25 окт 2012
    Сообщения:
    254
    Симпатии:
    79
    И советую включить кеширование vqmod!
     
  16. Lion18

    Lion18

    Регистрация:
    3 дек 2012
    Сообщения:
    253
    Симпатии:
    30
    Я на 1.5.4.х еще не чего не ставил, с ним еще не работал. последний был 1,5,3,1 не плох, разница вроде между ними не значительна.
    Скажу что в половине всего что ставил, были изменения, так как еще и шаблон сам писал.)
    Писал отдельные vqmod, так как в будущем планируется обслуживание. Что и вам советую. Намучился с стикерами. Потратил несколько часов пока его переписал под vqmod
     
  17. sanyaberkut

    sanyaberkut

    Регистрация:
    11 дек 2012
    Сообщения:
    94
    Симпатии:
    19